/**************************************************************************/
/* GE15 ( アクセス調査テーブル )                                          */
/*                                                                        */
/* Created : 2011/08/05 08:07:12                                          */
/**************************************************************************/
CREATE TABLE GE15 (
   SYSTEM_ID      VARCHAR2(10)                  NOT NULL      /* 10  システムID               */
 , USERID         VARCHAR2(10)                  NOT NULL      /* 20  ユーザーID               */
 , GUIKEY         VARCHAR2(30)                                /* 30  画面ID                   */
 , DYLOGIN        VARCHAR2(14)                                /* 40  ログイン時間             */
 , DYLOGOUT       VARCHAR2(14)                                /* 50  ログアウト時間           */
 , USED_TIME      NUMBER(9)         DEFAULT 0   NOT NULL      /* 60  使用時間(秒)             */
 , CNT_ACCESS     NUMBER(9)         DEFAULT 0   NOT NULL      /* 70  アクセス件数             */
 , CNT_ERROR      NUMBER(5)         DEFAULT 0   NOT NULL      /* 80  エラー件数               */
 , CNT_READ       NUMBER(9)         DEFAULT 0   NOT NULL      /* 90  読込件数                 */
 , CNT_WRITE      NUMBER(9)         DEFAULT 0   NOT NULL      /* 100 出力件数                 */
 , TM_TOTAL_QUERY NUMBER(18)        DEFAULT 0   NOT NULL      /* 110 トータルDBクエリ時間(ms) */
 , TM_MAX_QUERY   NUMBER(9)         DEFAULT 0   NOT NULL      /* 120 最大DBクエリ時間(ms)     */
 , MAX_QUERY      VARCHAR2(4000)                              /* 200 最長実行クエリ           */
 , USERADRS       VARCHAR2(40)                                /* 210 IPアドレス(local)        */
 , HOSTADRS       VARCHAR2(40)                                /* 220 IPアドレス(remote)       */
 , UNIQ           NUMBER(9)         DEFAULT 0   NOT NULL      /* 800 ユニークキー             */
 , FGJ            VARCHAR2(1)       DEFAULT '1' NOT NULL      /* 810 状態フラグ               */
 , DYSET          VARCHAR2(14)                                /* 820 登録日時                 */
 , PGSET          VARCHAR2(10)                                /* 830 作成PG                   */
 , PGPSET         VARCHAR2(10)                                /* 840 作成親PG                 */
 , USRSET         VARCHAR2(10)                                /* 850 作成社員                 */
 , DYUPD          VARCHAR2(14)                                /* 860 更新日時                 */
 , PGUPD          VARCHAR2(10)                                /* 870 更新PG                   */
 , PGPUPD         VARCHAR2(10)                                /* 880 更新親PG                 */
 , USRUPD         VARCHAR2(10)                                /* 890 更新者                   */
)
TABLESPACE GETBL01
STORAGE( INITIAL 4096K NEXT 16K PCTINCREASE 0 );


CREATE SEQUENCE GE15S00 
INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;


CREATE OR REPLACE TRIGGER GE15T00 
BEFORE INSERT ON GE15
FOR EACH ROW 
BEGIN 
SELECT GE15S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
END; 
/

